function Commander:show_termchat()
	DelayedCalls:Remove("commander_reset_say_delay")
	Commander._termmode=true
	local _input_panel=managers.hud:script(PlayerBase.PLAYER_INFO_HUD_PD2).panel:child("chat_panel"):child("input_panel")
	if not _input_panel then log"[COMMANDER][ERROR] show_termchat: _input_panel was nil" return end
	_input_panel:remove(_input_panel:child("say"))
	local say = _input_panel:text({
		name = "say",
		text = "$",
		font = tweak_data.menu.pd2_small_font,
		font_size = tweak_data.menu.pd2_small_font_size,
		x = 0,
		y = 0,
		align = "left",
		halign = "left",
		vertical = "center",
		hvertical = "center",
		blend_mode = "normal",
		color = Color.yellow,
		layer = 1
	})
	local _, _, w, h = say:text_rect()
	say:set_size(w, _input_panel:h())
	managers.hud:set_chat_focus(true)
end
local function __reset_say()
	if not Commander._termmode then return end
	local _input_panel=managers.hud:script(PlayerBase.PLAYER_INFO_HUD_PD2).panel:child("chat_panel"):child("input_panel")
	if not _input_panel then log("[COMMANDER][ERROR] __reset_say: _input_panel was nil") return end
		_input_panel:remove(_input_panel:child("say"))
		local say = _input_panel:text({
		name = "say",
		text = utf8.to_upper(managers.localization:text("debug_chat_say")),
		font = tweak_data.menu.pd2_small_font,
		font_size = tweak_data.menu.pd2_small_font_size,
		x = 0,
		y = 0,
		align = "left",
		halign = "left",
		vertical = "center",
		hvertical = "center",
		blend_mode = "normal",
		color = Color.white,
		layer = 1
	})
	local _, _, w, h = say:text_rect()
	say:set_size(w, _input_panel:h())
end
local orig_esccall = HUDChat.esc_key_callback
local orig_entercall = HUDChat.enter_key_callback
function HUDChat:esc_key_callback(...)
	DelayedCalls:Add("commander_reset_say_delay",0.25,function() __reset_say() Commander._termmode=false end)
	orig_esccall(HUDChat,unpack{...})
end
Hooks:PreHook(HUDChat,"enter_key_callback","HUDChatCommanderTermModeTearDown", __reset_say)
